GridUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDGeom

## Functions

template<class GRIDTYPE >
RDKIT_RDGEOMETRYLIB_EXPORT double | RDGeom::tverskyIndex (const GRIDTYPE &grid1, const GRIDTYPE &grid2, double alpha, double beta)
| calculate the tversky index between the shapes encoded on two grids More...
template<class GRIDTYPE >
RDKIT_RDGEOMETRYLIB_EXPORT double | RDGeom::tanimotoDistance (const GRIDTYPE &grid1, const GRIDTYPE &grid2)
| calculate the tanimoto distance between the shapes encoded on two grids More...
template<class GRIDTYPE >
RDKIT_RDGEOMETRYLIB_EXPORT double | RDGeom::protrudeDistance (const GRIDTYPE &grid1, const GRIDTYPE &grid2)
| calculate the protrude distance between the shapes encoded on two grids More...
RDKIT_RDGEOMETRYLIB_EXPORT Point3D | RDGeom::computeGridCentroid (const UniformGrid3D &grid, const Point3D &pt, double windowRadius, double &weightSum)
| calculate the grid centroid within a window of a point More...
RDKIT_RDGEOMETRYLIB_EXPORT std::vector< Point3D > | RDGeom::findGridTerminalPoints (const UniformGrid3D &grid, double windowRadius, double inclusionFraction)